var Left_Cids;
var $tableLeft = $('#tb1');
var $tableLeft1 = $('#tb2');
var token = $.cookie("token");
var TaskID; //导入
$(document).ready(function() {
	IndexCategoryGe();

})

//搜索功能
$(".searchGo").click(function() {
	IndexCategoryGe();
});

////左边表格
/*获取选中行对象*/
$tableLeft.on("click-row.bs.table", function(e, row, ele) {
	$('.success').removeClass('success'); //去除之前选中的行的，选中样式
	$(ele).addClass('success'); //添加当前选中的 success样式用于区别
	Left_Cids = row.F_IsStart; //分类ID
	$("#tb2").show();
	TaskID = row.F_TaskID //导入ID
	//导入方法
	Right(TaskID);

});
//获取计划列表    
function IndexCategoryGe() {
	//销毁表格
	$tableLeft.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "CallOutPlan/GetTaskList",
		contentType: "application/x-www-form-urlencoded",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				key: $("#KeyWords").val(),
				token: token
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//								layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//操作
function Code(val, row) {
	var html = '';
	if(val == "0") {
		html = '<a index="' + row.F_IsStart + '" onclick="Qd(' + row.F_TaskID + ',' + row.F_IsStart + ')">启动</a>';
	} else if(val == "1") {
		html = '<a  onclick="Tz(' + row.F_TaskID + ')">停止</a>';
	}
	return '<div class="operation">' +
		'<a  onclick=Amend(' + row.F_TaskID + ')>修改</a>' +
		'' + html + '' +
		'<a  onclick=Remove(' + row.F_TaskID + ')>删除</a>' +
		'<a  onclick=btn_deletes(' + row.F_TaskID + ')>清空号码</a>' +
		'</div>'

}
//编号
function setCode(val, row, index) {
	return index + 1;
}
//类型
function Type(val) {
	var cs = '';
	var vals = '';
	if(val == 0) {
		cs = 'w';
		vals = "未启动"
	} else if(val == 1) {
		cs = 'd';
		vals = "已启动"
	}

	return '<span class="' + cs + '">' + vals + '</span>'
	console.log(val);
}
//修改计划
function Amend(str) {
	layer.open({
		maxmin: true, //开启最大化最小化按钮
		type: 2,
		content: "../OutboundMessage/xgPlan.html?Str=" + str, //iframe的url，no代表不显示滚动条
		title: '问卷信息',
		area: ['40%', '45%'], //宽高
	});
}

//清空计划下的号码
function btn_deletes(tid){
	layer.confirm('您确定要清空当前计划下的号码吗？', {
		btn: ['是', '否'] //按钮
	}, function() {
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "CallOutPlan/DeletesTaskTel",
			dataType: 'json',
			data: {
				id: tid,//任务id
				token: token
			},
			async: true,
			success: function(data) {
				layer.msg("清空号码成功");
				IndexCategoryGe();
				Right(tid);
			}
		});
	});
}

//删除功能
function Remove(str) {
	layer.confirm('您确定要删除当前计划吗？', {
		btn: ['是', '否'] //按钮
	}, function() {
		/*发送请求*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "CallOutPlan/DeleteTask",
			dataType: 'json',
			data: {
				id: str,
				token: token
			},
			async: true,
			success: function(data) {
				layer.msg("删除成功");
				IndexCategoryGe();
			}
		});
	});

}
//启动
function Qd(str, val) {
	layer.confirm('确定要启动么？', {
		btn: ['是', '否'] //按钮
	}, function() {
		/*发送请求*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "CallOutPlan/EditTaskNum",
			dataType: 'json',
			data: {
				taskid: str,
				state: 1,
				token: token
			},
			async: true,
			success: function(data) {
				if(data.state == "success") {
					IndexCategoryGe();
					layer.msg("启动成功");
				}

			}
		});
	});
}

function Tz(str) {
	layer.confirm('确定要停止么？', {
		btn: ['是', '否'] //按钮
	}, function() {
		/*发送请求*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "CallOutPlan/EditTaskNum",
			dataType: 'json',
			data: {
				taskid: str,
				state: 0,
				token: token
			},
			async: true,
			success: function(data) {
				if(data.state == "success") {
					IndexCategoryGe();
					layer.msg("停止成功");
				}

			}
		});
	});
}
///左边修改功能
$(".leftChange ").click(function() {
	if(Left_Cids) {
		layer.open({
			type: 2,
			content: "../Questionnaire/modify.html?str=" + Left_Cids, //iframe的url，no代表不显示滚动条
			title: '修改分类',
			area: ['35%', '30%'], //宽高
		});
		//			GetIndexCategory(Left_Cids);

	} else {
		layer.msg('没有可修改的选项！');
	}
})

//增加
$(".leftAdd").click(function() {
	layer.open({
		maxmin: true, //开启最大化最小化按钮
		type: 2,
		content: "../OutboundMessage/addPlan.html", //iframe的url，no代表不显示滚动条
		title: '添加计划',
		area: ['45%', '55%'], //宽高
	});
});

/////////////////////////右边表格
//号码导入
$(".Dr").click(function() {
	if(TaskID) {
		layer.open({
			maxmin: true, //开启最大化最小化按钮
			type: 2,
			content: "../OutboundMessage/Dr.html?Str=" + TaskID, //iframe的url，no代表不显示滚动条
			title: '导入号码',
			area: ['50%', '55%'], //宽高
		});
	} else {
		layer.confirm('选择一个外呼计划!', {
			btn: ['确定'] //按钮
		});
	}

})

function Right(TaskID) {
	//销毁表格
	$tableLeft1.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft1.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "CallOutPlan/GetList",
		contentType: "application/x-www-form-urlencoded",
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				taskid: TaskID,
				token: token
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//								layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

function Removes(val) {
	return '<a class="" onclick="Re(' + val + ')">删除</a>'
}

function Re(str) {
	layer.confirm('确定删除？', {
		btn: ['是', '否'] //按钮
	}, function() {
		/*发送请求*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "CallOutPlan/DeleteTels",
			dataType: 'json',
			data: {
				ids: str,
				token: token
			},
			async: true,
			success: function(data) {
				if(data.state == "success") {

					layer.msg("删除成功");
					$tableLeft1.bootstrapTable('refresh');
				}

			}
		});
	});
}

/*删除内容*/
$(".RemoveDr").click(function() {
	var ids = $.map($('#tb2').bootstrapTable('getSelections'),
		function(row) {
			return row.F_Id;
		});
	/*判断长度*/
	if(ids.length <= 0) {
		layer.confirm('没有可删除的选项？', {
			btn: ['确定'] //按钮
		});
		return;
	}
	remove();
});

/*删除提示*/
function remove() {
	layer.confirm('确定删除当前记录？', {
		btn: ['是', '否'] //按钮
	}, function() {

		/*执行删除*/
		var ids = $.map($('#tb2').bootstrapTable('getSelections'),
			function(row) {
				return row.F_Id;
			});
		/*发送请求*/
		$.post(huayi.config.callcenter_url + "CallOutPlan/DeleteTels", {
			ids: ids,
			token: token
		}, function(result) {
			result = JSON.parse(result);
			if(result.state.toLowerCase() == "success") {
				layer.msg("删除成功");
				$tableLeft1.bootstrapTable('refresh');
			}
		})
	});
}